Create action link
Creates a place action link for a location.
Available action types: APPOINTMENT, ONLINE_APPOINTMENT, DINING_RESERVATION, FOOD_ORDERING, FOOD_DELIVERY, FOOD_TAKEOUT, SHOP_ONLINE.
API key authentication - use your Zernio API key as a Bearer token
In: header
Path Parameters
Query Parameters
Override which location to target. If omitted, uses the account's selected location. Use GET /gmb-locations to list valid IDs.
The action URL
uriType of action
"APPOINTMENT" | "ONLINE_APPOINTMENT" | "DINING_RESERVATION" | "FOOD_ORDERING" | "FOOD_DELIVERY" | "FOOD_TAKEOUT" | "SHOP_ONLINE"Response Body
application/json
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.gmbplaceactions.createGoogleBusinessPlaceAction({ path: { accountId: 'account_abc123', }, body: { uri: 'https://example.com', placeActionType: 'APPOINTMENT', },});console.log(data);{
"success": true,
"name": "string",
"uri": "string",
"placeActionType": "string"
}{
"error": "string",
"type": "invalid_request_error",
"code": "string",
"param": "string",
"platform": "string",
"platformError": {},
"details": {}
}{
"error": "string",
"type": "invalid_request_error",
"code": "string",
"param": "string",
"platform": "string",
"platformError": {},
"details": {}
}List action links GET
Lists place action links for a Google Business Profile location. Place actions are the booking, ordering, and reservation buttons that appear on your listing.
Update action link PATCH
Updates a place action link (change URL or action type). Only the fields included in the request body will be updated.